• There is NO official Otland's Discord server and NO official Otland's server list. The Otland's Staff does not manage any Discord server or server list. Moderators or administrator of any Discord server or server lists have NO connection to the Otland's Staff. Do not get scammed!

OTClient OTCLIENT

Kuantikum

Member
Joined
Jul 3, 2015
Messages
201
Solutions
1
Reaction score
15
I'm trying to login with OTCLIENT V8 on a modified server, however I get the following message:

Lua:
"Your client is outdated, please visit http://www.psoul.net and download the latest client."

And with that I can’t log in with another client, except with the server's own client.

I found the relationship between the message that appears to me in the file "resources.h"

C++:
////////////////////////////////////////////////////////////////////////
// OpenTibia - an opensource roleplaying game
////////////////////////////////////////////////////////////////////////
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
////////////////////////////////////////////////////////////////////////

#ifndef __RESOURCES__
#define __RESOURCES__
#include "definitions.h"
#if defined(WINDOWS) && !defined(__CONSOLE__)
    #define ID_KICK 101
    #define ID_BAN 102
    #define ID_ABOUT 104
    #define ID_LOG 105
    #define ID_ICON 106

    #define ID_TRAY_HIDE 118
    #define ID_TRAY_SHUTDOWN 119
    #define ID_STATUS_BAR 120

    #define ID_MENU 200

    #define ID_MENU_MAIN_REJECT 201
    #define ID_MENU_MAIN_ACCEPT 202
    #define ID_MENU_MAIN_CLEARLOG 203
    #define ID_MENU_MAIN_SHUTDOWN 204

    #define ID_MENU_SERVER_WORLDTYPE_NOPVP 205
    #define ID_MENU_SERVER_WORLDTYPE_PVP 206
    #define ID_MENU_SERVER_WORLDTYPE_PVPENFORCED 207

    #define ID_MENU_SERVER_BROADCAST 208
    #define ID_MENU_SERVER_SAVE 209
    #define ID_MENU_SERVER_CLEAN 210
    #define ID_MENU_SERVER_REFRESH 211
    #define ID_MENU_SERVER_CLOSE 212
    #define ID_MENU_SERVER_OPEN 213

    #define ID_MENU_SERVER_PLAYERBOX 214

    #define ID_MENU_RELOAD_ACTIONS 215
    #define ID_MENU_RELOAD_CHAT 216
    #define ID_MENU_RELOAD_CONFIG 217
    #define ID_MENU_RELOAD_CREATUREEVENTS 218
    #ifdef __LOGIN_SERVER__
    #define ID_MENU_RELOAD_GAMESERVERS 219
    #endif
    #define ID_MENU_RELOAD_GLOBALEVENTS 220
    #define ID_MENU_RELOAD_GROUPS 221
    #define ID_MENU_RELOAD_HIGHSCORES 222
    #define ID_MENU_RELOAD_HOUSEPRICES 223
    #define ID_MENU_RELOAD_ITEMS 224
    #define ID_MENU_RELOAD_MONSTERS 225
    #define ID_MENU_RELOAD_MODS 226
    #define ID_MENU_RELOAD_MOVEMENTS 227
    #define ID_MENU_RELOAD_NPCS 228
    #define ID_MENU_RELOAD_OUTFITS 229
    #define ID_MENU_RELOAD_QUESTS 230
    #define ID_MENU_RELOAD_RAIDS 231
    #define ID_MENU_RELOAD_SPELLS 232
    #define ID_MENU_RELOAD_STAGES 233
    #define ID_MENU_RELOAD_TALKACTIONS 234
    #define ID_MENU_RELOAD_VOCATIONS 235
    #define ID_MENU_RELOAD_WEAPONS 236
    #define ID_MENU_RELOAD_ALL 237
#endif

#define CLIENT_VERSION_MIN 312
#define CLIENT_VERSION_MAX 312
#define CLIENT_VERSION_STRING "Your client is outdated, please visit http://www.psoul.net and download the latest client."

#define STATUS_SERVER_NAME "Unknown"
#define STATUS_SERVER_VERSION "Unknown"
#define STATUS_SERVER_CODENAME "Unknown"
#define STATUS_SERVER_PROTOCOL "Unknown"

#define VERSION_CHECK 0
#define VERSION_PATCH 0
#define VERSION_TIMESTAMP 0/*1261647210*/
#define VERSION_BUILD 0/*3429*/
#define VERSION_DATABASE 23
#endif

C++:
#define CLIENT_VERSION_MIN 312
#define CLIENT_VERSION_MAX 312
#define CLIENT_VERSION_STRING "Your client is outdated, please visit http://www.psoul.net and download the latest client."

How can I make the changes so that I can release the login for any client or in this case for OTCLIENTV8?


I looked for information in the community, I found a relationship with RSA, but everything was very confusing, could someone give me a light on this topic?
 

Okke

Voidcore 7.4
Joined
Jul 19, 2015
Messages
1,011
Solutions
23
Reaction score
617
Location
germany
Hello Kuantikum,

you cannot modify OTCv8 Sources without giving money to the mafia that will sell you sources that have been sold to other hundreds of people.

Basically the OTCv8 you use is already compiled and you can only modify data/ modules/ and init.lua. The source code isn't available for anyone that hasn't paid.

Best Wishes,
Okke
 
OP
OP
Kuantikum

Kuantikum

Member
Joined
Jul 3, 2015
Messages
201
Solutions
1
Reaction score
15
Hello Kuantikum,

you cannot modify OTCv8 Sources without giving money to the mafia that will sell you sources that have been sold to other hundreds of people.

Basically the OTCv8 you use is already compiled and you can only modify data/ modules/ and init.lua. The source code isn't available for anyone that hasn't paid.

Best Wishes,
Okke

Yes, it is a shame in relation to the OTCv8, but in any case it could be done with the https://github.com/edubart/otclient, my intention would be simply to login with another OTC that is not only the one of the server itself ... in that case it could be used https://github.com/edubart/otclient, isn't it?

So, we forgot the relationship with OTCLIENTv8 and then applied it with the OTCLIENT https://github.com/edubart/otclient, how can I configure the server so that it can accept login from other clients other than the own server?

Or better yet, I have the server's souces, where I would have to edit so that any current client such as https://github.com/edubart/otclient, can login?
 
OP
OP
Kuantikum

Kuantikum

Member
Joined
Jul 3, 2015
Messages
201
Solutions
1
Reaction score
15
If you don't want to use OTCv8 and need good enough optimization then use mehah/otclient (https://github.com/mehah/otclient)

Yes of course, thank you very much for providing the link to this other OTC.

I don't think I explained myself correctly. I have a server that only allows login with the server's own client, I have the server's sources. I would need to know the procedure to be done so that I can edit the mehah/otclient (https://github.com/mehah/otclient) so that I can log into that server.

Currently when I try to login with mehah/otclient (https://github.com/mehah/otclient) i get this msg:
"Your client is outdated, please visit http://www.psoul.net and download the latest client."
 

Perwers

NNStory Dev.
Joined
Jul 6, 2016
Messages
53
Solutions
7
Reaction score
27
Location
Poland

Peonso

Godly Member
Joined
Jan 14, 2008
Messages
1,639
Solutions
27
Reaction score
1,310
I'm trying to login with OTCLIENT V8 on a modified server, however I get the following message:

Lua:
"Your client is outdated, please visit http://www.psoul.net and download the latest client."

And with that I can’t log in with another client, except with the server's own client.

I found the relationship between the message that appears to me in the file "resources.h"

C++:
////////////////////////////////////////////////////////////////////////
// OpenTibia - an opensource roleplaying game
////////////////////////////////////////////////////////////////////////
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
////////////////////////////////////////////////////////////////////////

#ifndef __RESOURCES__
#define __RESOURCES__
#include "definitions.h"
#if defined(WINDOWS) && !defined(__CONSOLE__)
    #define ID_KICK 101
    #define ID_BAN 102
    #define ID_ABOUT 104
    #define ID_LOG 105
    #define ID_ICON 106

    #define ID_TRAY_HIDE 118
    #define ID_TRAY_SHUTDOWN 119
    #define ID_STATUS_BAR 120

    #define ID_MENU 200

    #define ID_MENU_MAIN_REJECT 201
    #define ID_MENU_MAIN_ACCEPT 202
    #define ID_MENU_MAIN_CLEARLOG 203
    #define ID_MENU_MAIN_SHUTDOWN 204

    #define ID_MENU_SERVER_WORLDTYPE_NOPVP 205
    #define ID_MENU_SERVER_WORLDTYPE_PVP 206
    #define ID_MENU_SERVER_WORLDTYPE_PVPENFORCED 207

    #define ID_MENU_SERVER_BROADCAST 208
    #define ID_MENU_SERVER_SAVE 209
    #define ID_MENU_SERVER_CLEAN 210
    #define ID_MENU_SERVER_REFRESH 211
    #define ID_MENU_SERVER_CLOSE 212
    #define ID_MENU_SERVER_OPEN 213

    #define ID_MENU_SERVER_PLAYERBOX 214

    #define ID_MENU_RELOAD_ACTIONS 215
    #define ID_MENU_RELOAD_CHAT 216
    #define ID_MENU_RELOAD_CONFIG 217
    #define ID_MENU_RELOAD_CREATUREEVENTS 218
    #ifdef __LOGIN_SERVER__
    #define ID_MENU_RELOAD_GAMESERVERS 219
    #endif
    #define ID_MENU_RELOAD_GLOBALEVENTS 220
    #define ID_MENU_RELOAD_GROUPS 221
    #define ID_MENU_RELOAD_HIGHSCORES 222
    #define ID_MENU_RELOAD_HOUSEPRICES 223
    #define ID_MENU_RELOAD_ITEMS 224
    #define ID_MENU_RELOAD_MONSTERS 225
    #define ID_MENU_RELOAD_MODS 226
    #define ID_MENU_RELOAD_MOVEMENTS 227
    #define ID_MENU_RELOAD_NPCS 228
    #define ID_MENU_RELOAD_OUTFITS 229
    #define ID_MENU_RELOAD_QUESTS 230
    #define ID_MENU_RELOAD_RAIDS 231
    #define ID_MENU_RELOAD_SPELLS 232
    #define ID_MENU_RELOAD_STAGES 233
    #define ID_MENU_RELOAD_TALKACTIONS 234
    #define ID_MENU_RELOAD_VOCATIONS 235
    #define ID_MENU_RELOAD_WEAPONS 236
    #define ID_MENU_RELOAD_ALL 237
#endif

#define CLIENT_VERSION_MIN 312
#define CLIENT_VERSION_MAX 312
#define CLIENT_VERSION_STRING "Your client is outdated, please visit http://www.psoul.net and download the latest client."

#define STATUS_SERVER_NAME "Unknown"
#define STATUS_SERVER_VERSION "Unknown"
#define STATUS_SERVER_CODENAME "Unknown"
#define STATUS_SERVER_PROTOCOL "Unknown"

#define VERSION_CHECK 0
#define VERSION_PATCH 0
#define VERSION_TIMESTAMP 0/*1261647210*/
#define VERSION_BUILD 0/*3429*/
#define VERSION_DATABASE 23
#endif

C++:
#define CLIENT_VERSION_MIN 312
#define CLIENT_VERSION_MAX 312
#define CLIENT_VERSION_STRING "Your client is outdated, please visit http://www.psoul.net and download the latest client."

How can I make the changes so that I can release the login for any client or in this case for OTCLIENTV8?


I looked for information in the community, I found a relationship with RSA, but everything was very confusing, could someone give me a light on this topic?
The version check is just one of the thousand ways server can block you from connecting with other client. If they made any custom changes and you pass the version check to log with another client high chances that your client will crash eventually anyway. If you do not have the knowledge with that sort of stuff it's just not feaseable.
 
OP
OP
Kuantikum

Kuantikum

Member
Joined
Jul 3, 2015
Messages
201
Solutions
1
Reaction score
15

Under


add


1609441669284.png

:(
Post automatically merged:

The version check is just one of the thousand ways server can block you from connecting with other client. If they made any custom changes and you pass the version check to log with another client high chances that your client will crash eventually anyway. If you do not have the knowledge with that sort of stuff it's just not feaseable.
Yes i get it, but I have the source of the server, I understand that it is possible to make another OTC, such as mehah/otclient (https://github.com/mehah/otclient), log in with the server. :eek:
 
OP
OP
Kuantikum

Kuantikum

Member
Joined
Jul 3, 2015
Messages
201
Solutions
1
Reaction score
15
(BUMP) Hello guys,

As i said above, i have a custom protocol "312" to be added in this OTClient V8 and I have edited:

Lua:
"[B]"protocollogin.lua[/B]""

function ProtocolLogin:sendLoginPacket()
  local msg = OutputMessage.create()
  msg:addU8(ClientOpcodes.ClientEnterAccount)
  msg:addU16(g_game.getOs())
  if g_game.getCustomProtocolVersion() > 0 then
    msg:addU16([B]312[/B])  -- msg:addU16(g_game.getCustomProtocolVersion())
  else
    msg:addU16(g_game.getProtocolVersion())
  end

Done this i can login into CHARACTER LIST, but when i selected to login with the character, i get the same error:

loginerror.JPG

Here is my "protocollogin.lua" and "entergame.lua"



Can you help me, please?

Thanks very much!
 
Top